# Interface methods for submodule: RegularExpressionSeriesFileNames
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: RegularExpressionSeriesFileNames
class RegularExpressionSeriesFileNamesProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetDirectory(self, _arg) -> None:
		""""""
		...

	@overload
	def SetDirectory(self, _arg: str) -> None:
		""""""
		...

	def GetDirectory(self):
		""""""
		...

	@overload
	def SetRegularExpression(self, _arg) -> None:
		""""""
		...

	@overload
	def SetRegularExpression(self, _arg: str) -> None:
		""""""
		...

	def GetRegularExpression(self):
		""""""
		...

	def SetSubMatch(self, _arg: int) -> None:
		""""""
		...

	def GetSubMatch(self) -> int:
		""""""
		...

	def SetNumericSort(self, _arg: bool) -> None:
		""""""
		...

	def GetNumericSort(self) -> bool:
		""""""
		...

	def NumericSortOn(self) -> None:
		""""""
		...

	def NumericSortOff(self) -> None:
		""""""
		...

	def GetFileNames(self):
		""""""
		...

